.TH XLSX2TXT 1
.SH NAME
xlsx2txt, excel2txt
\- translate OpenML Microsoft Excel™ documents
.SH SYNOPSIS
.B xlsx2txt
[
.B -b
] [
.BI -c range
] [
.BI -C symb
] [
.BI -d str
] [
.B -q
] [
.BI -s num
] [
.B -t
] [
.B -T
] [
.I file.xlsx
]
.br
.B excel2txt
[
.B options
] [
.I opc-dir
]
.SH DESCRIPTION
Microsoft's new format for Office documents is a
.IR zip 'ed
directory hierarchy containing
.I XML
files. This format is known as the ``Open Packaging Convention'' or
.IR OPC .
.PP
.I xlsx2txt
is an
.IR rc (1)
script that uses 
.IR fs/zipfs (1)
and
.I opc/excel2txt
to extract a static table from the body of an exel xlsx document
and write it on the standard output. Any option that can be passed to
xlsx2txt may also be passed to excel2txt.
.LP
.SH
Options
.IP -b
Allow blank rows to be printed, by default these are elided.
.IP "-c range"
.br
Select the collum ranges to be printed. The format of the range is
similar to standard plan9 character class specification. Any combination
of comma seperated numbers and number ranges (two numbers
seperated by a dash) may be specified.
.IP "-C symb"
.br
Currency symbol for financial number formats, defaults to UK pounds (£).
.IP "-d str"
.br
Set the field delimiter to the string
.IR str .
This also implies whitespace cell length padding is disabled.
.IP -q
Quote cells using the usual plan9 conventions (see 
.IR quote (2)).
.IP "-s num"
.br
Select the sheet number to print, if not specified sheet 1 is
printed by default.
.IP -t
Truncate long fields so they layout nicely on screen.
.IP -T
Add
.IR tbl (1)
formatting instructions to the output. Tables are often wide,
but switching to landscape mode can help (see
.IR lp (1)).
.IP
.IR Tbl (1) 
and
.IR troff (1)
cannot handle arbitarirly large tables and may die with copious diagnositcs.
Reducing the number of columns printed and truncating long cells can help but
this is a poor solution at best.
.SH SOURCE
/sys/src/cmd/opc
.SH SEE ALSO
.IR docx2troff (1)
.IR libxml (2)
.br
``2007 Office Document: Open XML Markup Explained'',
http://www.microsoft.com/en-us/download/details.aspx?id=15359
